//
//  FloorTableViewController.swift
//  Place
//
//  Created by Panayiotis Pavlides on 28/4/15.
//  Copyright (c) 2015 Panayiotis Pavlides. All rights reserved.
//

import UIKit

class FloorTableViewController: UITableViewController {
   
   var selBuild : Int?
   var selFloor : Int?
   var buildingsID = getBuildingsID("buildings.txt")
//   var floors = getNumOfFloorsForBuilding()
   
   var floors = [String]()
   
    override func viewDidLoad() {
      super.viewDidLoad()
  
      self.floors = getNumOfFloorsForBuilding(buildingsID[selBuild!] as String)
      
    
      saveBluePrintForBuilding(buildingsID[selBuild!] as String)

        // Uncomment the following line to preserve selection between presentations
        // self.clearsSelectionOnViewWillAppear = false

        // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
        // self.navigationItem.rightBarButtonItem = self.editButtonItem()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    // MARK: - Table view data source

    override func numberOfSectionsInTableView(tableView: UITableView) -> Int {
        // #warning Potentially incomplete method implementation.
        // Return the number of sections.
        return 1
    }

    override func tableView(tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        // #warning Incomplete method implementation.
        // Return the number of rows in the section.
        return floors.count
    }

   
    override func tableView(tableView: UITableView, cellForRowAtIndexPath indexPath: NSIndexPath) -> UITableViewCell {


      let cell = tableView.dequeueReusableCellWithIdentifier("floorCell", forIndexPath: indexPath) as UITableViewCell
      
      let selection = floors[indexPath.row]
      cell.textLabel?.text = selection

        return cell
    }


    /*
    // Override to support conditional editing of the table view.
    override func tableView(tableView: UITableView, canEditRowAtIndexPath indexPath: NSIndexPath) -> Bool {
        // Return NO if you do not want the specified item to be editable.
        return true
    }
    */

    /*
    // Override to support editing the table view.
    override func tableView(tableView: UITableView, commitEditingStyle editingStyle: UITableViewCellEditingStyle, forRowAtIndexPath indexPath: NSIndexPath) {
        if editingStyle == .Delete {
            // Delete the row from the data source
            tableView.deleteRowsAtIndexPaths([indexPath], withRowAnimation: .Fade)
        } else if editingStyle == .Insert {
            // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
        }    
    }
    */
   override func tableView(tableView: UITableView, didSelectRowAtIndexPath indexPath: NSIndexPath)
   {
      
               self.performSegueWithIdentifier("imageSegue", sender: self)

      
   }

   
   override func prepareForSegue(segue: UIStoryboardSegue, sender: AnyObject?) {
      
      var option = segue.destinationViewController as BlueprintViewController
      if let parameter = self.tableView.indexPathForSelectedRow(){
         option.selFloor=parameter.row
         option.selBuild=self.selBuild
      }
   }

}
